<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
	Version 1.04.0 du 05/11/2003
		- Prise en compte des listes.
		- Prise en compte de l'lment emphase.
-->
<!--
	Version 1.03.1 du 24/09/2003
		- Reconstruction du chemin vers chaque lien en fonction du nom du fichier.
-->
<!--
	Version 1.03.0 du 21/09/2003
		- Prise en compte de l'lment incitation
-->
<!--
	Version 1.0 du 19/09/2003
		- Cration
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="ISO-8859-1"
		method="xml" version="xhtml1.0" indent="yes"/>
	<xsl:template match="/">
		<html lang="fr">
			<head>
				<title>Archive du forum Daggerfall - article "<xsl:value-of select="//sujet"/>"</title>
				<xsl:element name="meta">
					<xsl:attribute name="name">author</xsl:attribute>
					<xsl:attribute name="content">G. Chagnon</xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="name">keywords</xsl:attribute>
					<xsl:attribute name="content">Daggerfall, forum, archives <xsl:for-each
							select="//motclef">, <xsl:value-of select="."/>
						</xsl:for-each>
					</xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="name">description</xsl:attribute>
					<xsl:attribute name="content">Archive du forum Daggerfall - article du <xsl:value-of select="//temps/@date"/> sur "<xsl:value-of select="entete/sujet"/>
					</xsl:attribute>
				</xsl:element>
				<link href="../../../archiveforum.css" rel="stylesheet" type="text/css"/>
				<!--			<link rel="stylesheet" type="text/css" href="coursprint.css" media="print"/>-->
			</head>
			<body>
				<h2>
					<xsl:value-of select="//sujet"/>
				</h2>
				<ul>
					<li>
						<span class="important">Auteur&#160;:</span>&#160;<xsl:if test="//auteur/@email">
							<xsl:element name="a">
								<xsl:attribute name="href">mailto:<xsl:value-of select="//auteur/@email"/>
								</xsl:attribute>
								<xsl:value-of select="//auteur/@nom"/>
							</xsl:element>
						</xsl:if>
						<xsl:if test="not(//auteur/@email)">
							<xsl:value-of select="//auteur/@nom"/>
						</xsl:if>
					</li>
					<li>
						<span class="important">Date&#160;:</span>&#160;le <xsl:value-of
						select="//temps/@date"/>,  <xsl:value-of select="//temps/@heure"/>
					</li>
					<li>
						<xsl:choose>
							<xsl:when test="article/@topic='yes'">
								<span class="important">Sujet du mois
									de&#160;:</span>&#160;<xsl:element name="a">
									<xsl:attribute name="href">
										<xsl:value-of select="substring-before(article/@pere, '.xml')"/>.html</xsl:attribute>
									<xsl:value-of
										select="document(article/@pere)/sujets/@mois"/>&#160;<xsl:value-of select="document(article/@pere)/sujets/@annee"/>
								</xsl:element>
							</xsl:when>
							<xsl:when test="article/@topic='no'">
								<span class="important">En rponse
									&#160;:</span>&#160;<xsl:element name="a">
									<xsl:attribute name="href">
										<xsl:value-of select="substring-before(concat('../../',substring(article/@pere,1,4),'/',substring(article/@pere,5,2),'/',article/@pere),'.xml')"/>.html</xsl:attribute>
									<xsl:value-of select="document(concat('xml/',substring(article/@pere,1,4),'/',substring(article/@pere,5,2),'/',article/@pere))/article/entete/sujet"/>
								</xsl:element>&#160;-&#160;<xsl:if test="document(concat('xml/',substring(article/@pere,1,4),'/',substring(article/@pere,5,2),'/',article/@pere))/article/entete/auteur/@email">
									<xsl:element name="a">
										<xsl:attribute name="href">mailto:<xsl:value-of select="document(concat('xml/',substring(article/@pere,1,4),'/',substring(article/@pere,5,2),'/',article/@pere))/article/entete/auteur/@email"/>
										</xsl:attribute>
										<xsl:value-of select="document(concat('xml/',substring(article/@pere,1,4),'/',substring(article/@pere,5,2),'/',article/@pere))/article/entete/auteur/@nom"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="not(document(concat('xml/',substring(article/@pere,1,4),'/',substring(article/@pere,5,2),'/',article/@pere))/article/entete/auteur/@email)">
									<xsl:value-of select="document(concat('xml/',substring(article/@pere,1,4),'/',substring(article/@pere,5,2),'/',article/@pere))/article/entete/auteur/@nom"/>
								</xsl:if>&#160;(<xsl:value-of
								select="document(concat('xml/',substring(article/@pere,1,4),'/',substring(article/@pere,5,2),'/',article/@pere))/article/entete/temps/@date"/>,
									<xsl:value-of select="document(concat('xml/',substring(article/@pere,1,4),'/',substring(article/@pere,5,2),'/',article/@pere))/article/entete/temps/@heure"/>)</xsl:when>
						</xsl:choose>
					</li>
					<xsl:if test="//fils">
						<li>
							<span class="important">Rponse(s)&#160;:</span>
							<ul>
								<xsl:for-each select="//fils">
									<li>
										<xsl:element name="a">
											<xsl:attribute name="href">
												<!--<xsl:value-of select="substring-before(@href, '.xml')"/>.html</xsl:attribute>-->
												<xsl:value-of select="substring-before(concat('../../',substring(@href,1,4),'/',substring(@href,5,2),'/',@href),'.xml')"/>.html</xsl:attribute>
											<xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/sujet"/>
										</xsl:element> par <xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@nom"/>
									</li>
								</xsl:for-each>
							</ul>
						</li>
					</xsl:if>
				</ul>
				<xsl:for-each select="//contenu">
					<xsl:for-each select="*">
						<xsl:apply-templates select="."/>
					</xsl:for-each>
				</xsl:for-each>
				<p class="fin">
					<img alt="[Barre dore]" height="14" src="../../../../images/doree.gif" width="576"/>
					<br/>
				</p>
				<table class="navigationdragons" summary="Navigation">
					<tr>
						<td id="dragonforum">
							<a href="../../../../forum.html">
								<img alt="[Dragon bleu]" height="62"
									src="../../../../images/bluedrag.gif" width="65"/>
								<br/> [ Retour au forum ]</a>
						</td>
						<td id="dragonarchive">
							<a href="../../archive.html">
								<img alt="[Dragon bleu]" height="62"
									src="../../../../images/bluedrag.gif" width="65"/>
								<br/> [ Retour  l'archive ]</a>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="image">image</xsl:template>
	<xsl:template match="texte">
		<p>
			<xsl:for-each select="node()">
				<xsl:apply-templates select="."/>
			</xsl:for-each>
		</p>
	</xsl:template>
	<xsl:template match="lien">
		<a href="{@href}">
			<xsl:for-each select="node()">
				<xsl:apply-templates select="."/>
			</xsl:for-each>
		</a>
	</xsl:template>
	<xsl:template match="br">
		<br/>
	</xsl:template>
	<xsl:template match="emphase"><em><xsl:value-of select="."/></em></xsl:template>
	<xsl:template match="liste">
		<xsl:choose>
			<xsl:when test="@type='envrac'"><xsl:element name="ul"><xsl:for-each select="item"><li><xsl:value-of select="."/></li></xsl:for-each></xsl:element></xsl:when>
			<xsl:when test="@type='ordonnee'"><xsl:element name="ol"><xsl:for-each select="item"><li><xsl:value-of select="."/></li></xsl:for-each></xsl:element></xsl:when>
			<xsl:otherwise><xsl:element name="ul"><xsl:for-each select="item"><li><xsl:value-of select="."/></li></xsl:for-each></xsl:element></xsl:otherwise>
		</xsl:choose>	
	</xsl:template>
	<xsl:template match="citation">
		<blockquote class="citationarticle">&gt; <xsl:for-each select="node()">
				<xsl:apply-templates select="."/>
			</xsl:for-each>
		</blockquote>
	</xsl:template>
	<xsl:template match="incitation">
		<span class="incitation">&gt; <xsl:value-of select="."/>
		</span>
	</xsl:template>
</xsl:stylesheet>
