<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
	Version 1.0.1 du 24/09/2003
		- Reconstruction du chemin vers chaque lien en fonction du nom du fichier.
-->

<!--
	Version 1.0 du 17/09/2003
		- Cration
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="ISO-8859-1"
		method="xml" version="xhtml1.0" indent="yes"/>
	<xsl:template match="/">
		<html lang="fr">
			<head>
				<title>Archives du forum Daggerfall de <xsl:value-of
						select="//sujets/@mois"/>&#160;<xsl:value-of select="//sujets/@annee"/>
				</title>
				<xsl:element name="meta">
					<xsl:attribute name="name">author</xsl:attribute>
					<xsl:attribute name="content">G. Chagnon</xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="name">keywords</xsl:attribute>
					<xsl:attribute name="content">Daggerfall, forum, archives</xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="name">description</xsl:attribute>
					<xsl:attribute name="content">Archives du forum Daggerfall de <xsl:value-of
							select="//sujets/@mois"/>&#160;<xsl:value-of select="//sujets/@annee"/>
					</xsl:attribute>
				</xsl:element>
				<link href="../../../archiveforum.css" rel="stylesheet" type="text/css"/>
			</head>
			<body>
				<h1>Archives du <a href="../../../../forum.html">forum Daggerfall</a> de
						<xsl:value-of select="//sujets/@mois"/>&#160;<xsl:value-of select="//sujets/@annee"/>
				</h1>
				<ul>
					<xsl:for-each select="//topic">
						<li>
							<xsl:element name="a">
								<xsl:attribute name="href">
									<xsl:value-of select="substring-before(concat('../../',substring(@href,1,4),'/',substring(@href,5,2),'/',@href),'.xml')"/>.html</xsl:attribute>
								<xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/sujet"/>
							</xsl:element>&#160;-&#160;<xsl:if test="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@email">
								<xsl:element name="a">
									<xsl:attribute name="href">mailto:<xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@email"/>
									</xsl:attribute>
									<xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@nom"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="not(document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@email)">
								<xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@nom"/>
							</xsl:if>&#160;(<xsl:value-of
							select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/temps/@date"/>,
								<xsl:value-of
							select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/temps/@heure"/>)
								<xsl:for-each select="article">
								<xsl:apply-templates select="."/>
							</xsl:for-each>
						</li>
					</xsl:for-each>
				</ul>
				<p class="fin">
					<img alt="[Barre dore]" height="14" src="../../../../images/doree.gif" width="576"/>
					<br/>
					<a href="../../archive.html">
						<img alt="[Dragon bleu]" height="62" src="../../../../images/bluedrag.gif" width="65"/>
						<br/> Retour  l'archive</a>
				</p>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="article">
		<ul>
			<li>
				<xsl:element name="a">
					<xsl:attribute name="href">
						<xsl:value-of select="substring-before(concat('../../',substring(@href,1,4),'/',substring(@href,5,2),'/',@href), '.xml')"/>.html</xsl:attribute>
					<xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/sujet"/>
				</xsl:element> - <xsl:if test="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@email">
					<xsl:element name="a">
						<xsl:attribute name="href">mailto:<xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@email"/>
						</xsl:attribute>
						<xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@nom"/>
					</xsl:element>
				</xsl:if>
				<xsl:if test="not(document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@email)">
					<xsl:value-of select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/auteur/@nom"/>
				</xsl:if> (<xsl:value-of
				select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/temps/@date"/>,
					<xsl:value-of
				select="document(concat('xml/',substring(@href,1,4),'/',substring(@href,5,2),'/',@href))/article/entete/temps/@heure"/>)
					<xsl:for-each select="article">
					<xsl:apply-templates select="."/>
				</xsl:for-each>
			</li>
		</ul>
	</xsl:template>
</xsl:stylesheet>
